> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sends a file using the specified connector.

> Sends a file using the specified connector.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /sendFile
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /sendFile:
    post:
      tags:
        - sendFile
      summary: Sends a file using the specified connector.
      description: Sends a file using the specified connector.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/sendFile_input'
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sendFile_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    sendFile_input:
      type: object
      properties:
        WorkspaceId:
          type: string
          description: The workspace id of the connector.
        ConnectorId:
          type: string
          description: The id of the connector. Required.
        PortId:
          description: The id of the port.
          type: string
        MessageId:
          type: string
          description: The message id.
        File:
          type: string
          description: The file name.
        Subfolder:
          description: The subfolder of the file.
          type: string
        Attachment#:
          type: string
          description: The attachment file.
        FormatResult:
          type: string
          description: Whether or not to format the result.
    sendFile_output:
      type: array
      items:
        type: object
        properties:
          MessageId:
            description: The message Id.
            type: string
          File:
            type: string
            description: The file name.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````